• Python

    From Compctech@VERT to All on Thursday, December 30, 2021 16:08:26
    Good Evening,
    I am working on installing Synchronet on Ubuntu 20.02. I apologize if this has been asked once before but could not see anything when skimming the messages. What version of Python is preferred when building SBBS. 2.x or 3.x?

    Thanks in advance.
    -Compctech

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Nightfox@VERT/DIGDIST to Compctech on Thursday, December 30, 2021 17:15:10
    Re: Python
    By: Compctech to All on Thu Dec 30 2021 04:08 pm

    Good Evening,
    I am working on installing Synchronet on Ubuntu 20.02. I apologize if this has been asked once before but could not see anything when skimming the messages. What version of Python is preferred when building SBBS. 2.x or 3.x?

    To my knowledge, Synchronet does not make use of Python.

    Nightfox

    ---
    Synchronet Digital Distortion: digitaldistortionbbs.com
  • From Digital Man@VERT to Compctech on Thursday, December 30, 2021 17:23:34
    Re: Python
    By: Compctech to All on Thu Dec 30 2021 04:08 pm

    Good Evening,
    I am working on installing Synchronet on Ubuntu 20.02. I apologize if this has been asked once before but could not see anything when skimming the messages. What version of Python is preferred when building SBBS. 2.x or 3.x?

    I don't think it matters. It's only required for building libmozjs which predates Python 3.
    --
    digital man (rob)

    Breaking Bad quote #6:
    My Name is ASAC Schrader - and you can go fuck yourself. - Hank
    Norco, CA WX: 51.2F, 96.0% humidity, 0 mph SE wind, 0.16 inches rain/24hrs

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Compctech@VERT to Digital Man on Thursday, December 30, 2021 17:48:42
    Re: Python
    By: Digital Man to Compctech on Thu Dec 30 2021 05:23 pm

    Re: Python
    By: Compctech to All on Thu Dec 30 2021 04:08 pm

    Good Evening,
    I am working on installing Synchronet on Ubuntu 20.02. I apologize if this has been asked once before but could not see
    anything when skimming the messages. What version of Python is preferred when building SBBS. 2.x or 3.x?

    I don't think it matters. It's only required for building libmozjs which predates Python 3.

    Thanks, It's listed as a required in the wiki. I will try it with the default Python 3.8 install.

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Compctech@VERT to Digital Man on Thursday, December 30, 2021 20:28:39
    Re: Python
    By: Compctech to Digital Man on Thu Dec 30 2021 05:48 pm

    Re: Python
    By: Digital Man to Compctech on Thu Dec 30 2021 05:23 pm

    Re: Python
    By: Compctech to All on Thu Dec 30 2021 04:08 pm

    Good Evening,
    I am working on installing Synchronet on Ubuntu 20.02. I apologize if this has been asked once before but could not see
    anything when skimming the messages. What version of Python is preferred when building SBBS. 2.x or 3.x?

    I don't think it matters. It's only required for building libmozjs which predates Python 3.

    Thanks, It's listed as a required in the wiki. I will try it with the default Python 3.8 install.

    Worked with Python 3.8. I did have to install python-is-python3 for the install scrip to pick-up python.

    On a side note, I had to modify the letsyncrypt.js file to get letsencrypt to work. I had to add a / before .well-known on lines 86 - 89 & 96.

    I'm haveing fun getting the BBS up and running. :)

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Digital Man@VERT to Compctech on Thursday, December 30, 2021 20:41:33
    Re: Python
    By: Compctech to Digital Man on Thu Dec 30 2021 08:28 pm

    Re: Python
    By: Compctech to Digital Man on Thu Dec 30 2021 05:48 pm

    Re: Python
    By: Digital Man to Compctech on Thu Dec 30 2021 05:23 pm

    Re: Python
    By: Compctech to All on Thu Dec 30 2021 04:08 pm

    Good Evening,
    I am working on installing Synchronet on Ubuntu 20.02. I apologize if this has been asked once before but could not see anything when skimming the messages. What version of Python is preferred when building SBBS. 2.x or 3.x?

    I don't think it matters. It's only required for building libmozjs which predates Python 3.

    Thanks, It's listed as a required in the wiki. I will try it with the default Python 3.8 install.

    Worked with Python 3.8. I did have to install python-is-python3 for the install scrip to pick-up python.

    On a side note, I had to modify the letsyncrypt.js file to get letsencrypt to work. I had to add a / before .well-known on lines 86 - 89 & 96.

    I'm guessing that's because you didn't have your sbbs.ini [Web] RootDirectory set with a trailing slash.

    I'm haveing fun getting the BBS up and running. :)

    Cool.
    --
    digital man (rob)

    Breaking Bad quote #1:
    Just because you shot Jess James, don't make you Jesse James. - M. Ehrmantraut Norco, CA WX: 49.3F, 97.0% humidity, 0 mph SSE wind, 0.15 inches rain/24hrs

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Trikester@VERT/DOVEMOD/BSMNTQQ to Digital Man on Friday, December 31, 2021 12:11:23
    Re: Python
    By: Digital Man to Compctech on Thu Dec 30 2021 08:41 pm

    On a side note, I had to modify the letsyncrypt.js file to get letsencrypt to work. I had to add a / before .well-known on
    lines 86 - 89 & 96.
    I'm guessing that's because you didn't have your sbbs.ini [Web] RootDirectory set with a trailing slash.

    I didn't catch this earlier and it's something I had to fix locally (by hacking the letsyncrypt script) too.

    Stock Synchronet sbbs.ini has:

    RootDirectory = ../web/root

    As the config directive in it.

    If a trailing slash is required elsewhere, should that not be adjusted in the distribution too?

    Also, the [Domains] section examples in http://wiki.synchro.net/module:letsyncrypt don't include a trailing slash on the extra web root paths as well.

    ---
    Synchronet ... The Basement ... Not really open yet.
  • From Digital Man@VERT to Trikester on Friday, December 31, 2021 13:45:42
    Re: Python
    By: Trikester to Digital Man on Fri Dec 31 2021 12:11 pm

    Re: Python
    By: Digital Man to Compctech on Thu Dec 30 2021 08:41 pm

    On a side note, I had to modify the letsyncrypt.js file to get letsencrypt to work. I had to add a / before .well-known on lines 86 - 89 & 96.
    I'm guessing that's because you didn't have your sbbs.ini [Web] RootDirectory set with a trailing slash.

    I didn't catch this earlier and it's something I had to fix locally (by hacking the letsyncrypt script) too.

    Stock Synchronet sbbs.ini has:

    RootDirectory = ../web/root

    As the config directive in it.

    If a trailing slash is required elsewhere, should that not be adjusted in the distribution too?

    Also, the [Domains] section examples in http://wiki.synchro.net/module:letsyncrypt don't include a trailing slash on the extra web root paths as well.

    I modified letsyncrypt.js to handle the RootDirectory without the trailing slash.
    --
    digital man (rob)

    Synchronet "Real Fact" #43:
    Synchronet added Baja/PCMS support with v2.00a (1994).
    Norco, CA WX: 59.5F, 69.0% humidity, 5 mph WNW wind, 0.13 inches rain/24hrs

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Trikester@VERT/DOVEMOD/BSMNTQQ to Digital Man on Saturday, January 01, 2022 09:25:46
    Re: Python
    By: Digital Man to Trikester on Fri Dec 31 2021 01:45 pm

    I modified letsyncrypt.js to handle the RootDirectory without the trailing slash.

    I caught that a little later, too... that's great, thanks!

    ---
    Synchronet ... The Basement ... Not really open yet.